Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.gef
Class Shapes

    java.lang.Object
      org.eclipse.amp.agf.gef.Shapes

    public class Shapes

extends java.lang.Object

Author:
  mparker

Field Summary
`static IFigureProvider` | `EMPTY_PROVIDER`
`static org.eclipse.draw2d.geometry.Point` | `LOWER_LEFT`
`static org.eclipse.draw2d.geometry.Point` | `LOWER_RIGHT`
`static IFigureProvider` | `OVAL_SHAPE_PROVIDER`
`static IFigureProvider` | `RECTANGLE_SHAPE_PROVIDER`
`static IFigureProvider` | `ROUNDED_RECTANGLE_SHAPE_PROVIDER`
`static org.eclipse.draw2d.geometry.Dimension` | `SIZE_FULL`
`static org.eclipse.draw2d.geometry.Dimension` | `SIZE_INSET_1`
`static org.eclipse.draw2d.geometry.Point` | `UPPER_LEFT`
`static org.eclipse.draw2d.geometry.Point` | `UPPER_RIGHT`

Constructor Summary
`Shapes()`

Method Summary
`static org.eclipse.draw2d.Shape` | `createOval()`
`static org.eclipse.draw2d.Shape` | `createRectangle()`
`static org.eclipse.draw2d.Shape` | `createRoundedRectangle()`
`static org.eclipse.draw2d.geometry.Point` | `getLocationFor(int i)`
`static org.eclipse.draw2d.Shape` | `getMarkerShape(org.eclipse.draw2d.IFigure parent, int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE_FULL

    public static final org.eclipse.draw2d.geometry.Dimension SIZE_FULL

### SIZE_INSET_1

    public static final org.eclipse.draw2d.geometry.Dimension SIZE_INSET_1

### EMPTY_PROVIDER

    public static IFigureProvider EMPTY_PROVIDER

### OVAL_SHAPE_PROVIDER

    public static IFigureProvider OVAL_SHAPE_PROVIDER

### RECTANGLE_SHAPE_PROVIDER

    public static IFigureProvider RECTANGLE_SHAPE_PROVIDER

### ROUNDED_RECTANGLE_SHAPE_PROVIDER

    public static IFigureProvider ROUNDED_RECTANGLE_SHAPE_PROVIDER

### UPPER_LEFT

    public static org.eclipse.draw2d.geometry.Point UPPER_LEFT

### UPPER_RIGHT

    public static org.eclipse.draw2d.geometry.Point UPPER_RIGHT

### LOWER_LEFT

    public static org.eclipse.draw2d.geometry.Point LOWER_LEFT

### LOWER_RIGHT

    public static org.eclipse.draw2d.geometry.Point LOWER_RIGHT

Constructor Detail

### Shapes

    public Shapes()

Method Detail

### createOval

    public static org.eclipse.draw2d.Shape createOval()

### createRoundedRectangle

    public static org.eclipse.draw2d.Shape createRoundedRectangle()

### createRectangle

    public static org.eclipse.draw2d.Shape createRectangle()

### getLocationFor

    public static org.eclipse.draw2d.geometry.Point getLocationFor(int i)

### getMarkerShape

    public static org.eclipse.draw2d.Shape getMarkerShape(org.eclipse.draw2d.IFigure parent,
                                                          int position)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD